#pragma once
#include "DirectXFramework.h"
#include "SharedMethods.h"
#include "TerrainNode.h"

// Height map terrain node, contains the methods needed to generate a terrain node with the given weird height map
class HeightMapTerrainNode : public TerrainNode
{
public:
	HeightMapTerrainNode(wstring name, wstring heightMap, wstring seed, float waterHeight = 150.0f, int widthX = 1023, int widthZ = 1023, int cellSizeX = 10, int cellSizeZ = 10);

private:	
	wstring _heightMap;	

	bool LoadHeightMap(wstring heightMapFilename);	
};

