#pragma once
#include "ObjectNode.h"
#include "MeshNode.h"

// Class for handing the moveable mesh nodes, inherits from both the mesh and object nodes, the object node contains what is needed for pitch, yaw and forward back movement
class ControlledMeshNode : public MeshNode, public ObjectNode
{
public:
	ControlledMeshNode(wstring name, wstring modelName);

	void Update(FXMMATRIX& currentWorldTransformation);
	bool Initialise(void);

	XMMATRIX GetWorldTransformation() const;

private:

};

