#pragma once
#include "DirectXFramework.h"
#include "SplitMeshNode.h"
#include "ObjectNode.h"
#include "SubMeshNode.h"

// Class for handing the moveable split mesh nodes, inherits from both the mesh and object nodes, the object node contains what is needed for pitch, yaw and forward back movement
class ControlledSplitMeshNode : public SplitMeshNode, public ObjectNode
{
public:
	ControlledSplitMeshNode(wstring name, wstring modelName);

	void Update(FXMMATRIX& currentWorldTransformation);
	bool Initialise(void);

	XMMATRIX GetWorldTransformation() const;

private:
	
};

